API Reference

    v1.0.0

    GET/web/crawl

    Crawl API

    The Desearch API allows you to crawl web content

    Base URL

    https://api.desearch.ai

    Query Parameters

    urlstringrequired

    Url to crawl

    formatstring

    Format of the content to be returned. Options are 'html' or 'text'. Default is 'html'.

    Default: text

    Responses

    200Content of the web link
    301Moved Permanently
    304Not Modified
    401Unauthorized
    422Validation Error
    429Too Many Requests
    500Internal Server Error
    Authorization

    Your API key will be sent in the Authorization header

    Request
    curl -X GET "https://api.desearch.ai/web/crawl?url=https%3A%2F%2Fen.wikipedia.org%2Fwiki%2FArtificial_intelligence" \
      -H "Authorization: YOUR_API_KEY" \
      -H "Content-Type: application/json"
    ResponseSchema
    {
      "message": "Response schema not available"
    }

    Possible status codes:

    200401422429500

    🍪 We value your privacy

    We use cookies to enhance your browsing experience, serve personalized ads or content, and analyze our traffic. By clicking "Accept All", you consent to our use of cookies. Read our Privacy Policy